package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.label.LisLabel;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH0492
 * @Description : 实验室检查未填写
 * @Author : 胡敬
 * @Date: 2020-03-26 19:54
 */
@Component
public class BEH0492 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() == null) {
            status.set("0");
            return;
        }
        if (inputInfo.getBeHospitalizedDoc() != null) {
            LisLabel lisLabel = inputInfo.getBeHospitalizedDoc().getLisLabel();
            if (lisLabel != null && StringUtil.isNotBlank(lisLabel.getText())) {
                status.set("0");
                return;
            }
            if (StringUtil.isNotBlank(inputInfo.getBeHospitalizedDoc().getStructureMap().get("实验室检查"))){
                status.set("0");/* 台州市里医院结构化判断 */
            }
        }
    }
}